osso-chat-ui (2.0.64-1) unstable; urgency=low

  * src/chat-box.c, src/chat-idle-window.c, 
    src/chat-view.c, src/participant-pane.c: 
    Context sensitive menu stays open in conversation area
    Depends on fix of 84903
    Fixes: NB#84721

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 24 Apr 2008 18:36:06 +0300

osso-chat-ui (2.0.63-1) unstable; urgency=low

  * src/chat-window.c: Option Save chat log is enable
    Fixes: NB#84525

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 21 Apr 2008 16:09:53 +0300

osso-chat-ui (2.0.62-1) unstable; urgency=low

  * src/chat-idle-window.c, src/chat-view.c: Cast CSM to Gtk Widget
    Fixes: NB#80668

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 14 Apr 2008 19:29:46 +0300

osso-chat-ui (2.0.61-1) unstable; urgency=low

  * src/chat-view.c: Cast menu widget to chat menu
    Fixes: NB#80668

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 14 Apr 2008 18:17:31 +0300

osso-chat-ui (2.0.60-1) unstable; urgency=low

  * src/chat-idle-window.c, src/chat-ui.c, src/chat-view.c, 
    src/chat-window.c, src/participant-pane.c: 
    Context sensitive menu stays open
    Fixes: NB#80668

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 14 Apr 2008 17:07:25 +0300

osso-chat-ui (2.0.59-1) unstable; urgency=low

  * src/chat-member.c: unknown contact displays properly
    Fixes: NB#79662

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 14 Mar 2008 19:12:09 +0200

osso-chat-ui (2.0.58-1) unstable; urgency=low

  * src/chat-box.c: open link with appropriate application
    Fixes: NB#81871

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  7 Mar 2008 15:00:28 +0200

osso-chat-ui (2.0.57-1) unstable; urgency=low

  * src/chat-idle-window.c: Context sensitive menu stays open
    Fixes: NB#80668

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  3 Mar 2008 14:58:17 +0200

osso-chat-ui (2.0.56-1) unstable; urgency=low

  * src/chat-menu.c: Select text in editable textbox
    Fixes: NB#79513

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 29 Feb 2008 17:41:26 +0200

osso-chat-ui (2.0.55-1) unstable; urgency=low

  * src/chat-box.c: Add punct to Email regexp patterns
    Fixes: NB#77890

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 14 Feb 2008 10:31:57 +0200

osso-chat-ui (2.0.54-1) unstable; urgency=low

  * src/chat-member.c: Switch on scaling if avatar was created
    Fixes: NB#80103
  * src/chat-view.c: Function returned empty data

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 12 Feb 2008 18:45:25 +0200

osso-chat-ui (2.0.53-1) unstable; urgency=low

  * src/chat-view.c: Ack messages even if the sender is blocked.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 20 Dec 2007 16:19:29 +0200

osso-chat-ui (2.0.52-1) unstable; urgency=low

  * Convert ChatMember struct into a GObject
  * Instead of setting ChatMember everywhere when it's manipulated
    make interested parties listen to notify:: signals.
  * Fetch permanent handles and contact objects when group flags
    change to support handle owners. Fixes: NB#78070
  * Inspect channel handle the first thing in forming a channel.
    Fixes: NB#77883
  * Remove or comment out some unused code. Fixes: NB#74294
  * Remove CTRL+E from search contacts menu command.
    Fixes: NB#77866
  * Mark an unknown contact as manual when blocked. Related to
    NB#70663
  * Remove deprecated libtelepathy symbols.
  * Cleanups here and there, mainly making the menu dependant on window
    rather than both depending on each other.
  * configure.ac, debian/rules: Add in options for GCov
  * src/Makefile.am: Change to use INCLUDES instead of 
    chat_ui_CFLAGS to disable the compilation of objects
    prefixed with the binary name.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 14 Dec 2007 12:19:46 +0200

osso-chat-ui (2.0.51-1) unstable; urgency=low

  * src/chat-view.c, src/participant-pane.[ch]: Remove the extra
    "muc" mode from the side pane, always put our own name first
    in the list. Otherwise sort alphabetically based on preferred
    visible name. Fixes: NB#73605

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 18 Oct 2007 13:31:45 +0300

osso-chat-ui (2.0.50-1) unstable; urgency=low

  * src/chat-ui.c, src/chat-window.[ch], src/chat-view.[ch]: 
    Listen to osso display events instead of trusting to system
    inactivity indicator. Fixes: NB#71446

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 12 Oct 2007 17:42:35 +0300

osso-chat-ui (2.0.49-1) unstable; urgency=low

  * src/chat-view.c: If we've gotten some sort of a presence for a
    contact, don't show the "Unauthorized" message. This probably doesn't
    affect anything, but should make us 100% that if the guy goes offline,
    we're not showing "Unauthorized" message.
  * src/chat-menu.c: Dim paste option when focus is not in editable
    field. Related to NB#71100
  * src/chat-view.c: Stop LED pattern when window is deleted without
    focusing it. Fixes: NB#71446
  * src/manual-chat-dialog.c: Don't validate addresses we're trying to
    contact. Let the connection manager do this. Related to NB#47992

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  1 Oct 2007 18:24:39 +0300

osso-chat-ui (2.0.48-1) unstable; urgency=low

  * src/chat-manager.c: Do not load EBookView right at startup. Only
    when it's needed. Improves startup times.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 27 Sep 2007 16:01:27 +0300

osso-chat-ui (2.0.47-1) unstable; urgency=low

  * src/participant-pane.c: Don't real the cursor path when cursor is
    changed.
  * src/participant-pane.c: Free the collate key from storage before
    removing a member.
  * src/chat-box.c: Call g_object_ref_sink to get rid of the weak reference
    of the popup menu. Also remember to g_object_unref the menu before
    destruction. Fixes a memory leak.
  * src/chat-view.c: Don't duplicate mc account alias, it's duplicated
    by the library already.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 26 Sep 2007 16:43:27 +0300

osso-chat-ui (2.0.46-1) unstable; urgency=low

  * src/chat-manager.c: Remove workaround for sorting messages, libimlogger
    does this correctly now.
  * src/chat-window.c, src/chat-view.[ch], src/chat-box.[ch]: Add more          
    parameters into search functionality to allow more accurate display
    between two information banners.... Fixes: NB#51167, NB#70960

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 26 Sep 2007 12:39:25 +0300

osso-chat-ui (2.0.45-1) unstable; urgency=low

  * src/chat-manager.c: Fix build error.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 26 Sep 2007 00:50:43 +0300

osso-chat-ui (2.0.44-1) unstable; urgency=low

  * src/chat-view.c: Check existence of channel in listing pending
    messages.
  * src/chat-box.c, src/chat-menu.c: Check if the owner of the clipboard
    is parented to the current active window.
  * src/chat-view.c: Check channel existence in listing pending messages.
    Fixes a crash noticed from corematic.
  * src/chat-view.c: Add entry hardware key singals back. Fixes: NB#70971
  * src/chat-view.c: Don't try to free memory in various errorneus
    async callbacks, if the error is set. D-BUS leaves the variables in
    these callbacks unset. Fixes some very rare crashes.
  * src/chat-manager.c: Sort received messages by message id from database.
    Fixes: NB#55667
  * src/chat-ui.c: Add show_window flags to request context for
    self inflicted chats. Fixes: NB#68743
  * src/list-rooms-dialog.c: Show all rooms again when deleting
    everything from search entry.
  * src/chat-menu.c, src/chat-box.c: Use owner based clipboard
    for copying text. Fixes: NB#56612
  * src/chat-menu.c: Check group flags for adding people to channel
    on selection change. Fixes: NB#70728
  * src/chat-window.c: Ask for handles from connection manager if
    we're online and testing fake data. Blocks launching several
    identical windows for unknown contacts.
  * src/chat-manager.c: Don't sort messages at all. Prepend messages
    received from database, then reverse the list, faster than appending
    them all the time, if there's a lot of messages.
  * src/chat-view.c: Don't allow /me command if connection manager
    doesn't support action types.
  * src/chat-view.c: Don't free presence hash when get_presence fails.
  * src/chat-view.c, src/common.c: Disconnect from avatar notify
    signal when unreffing the avatar object of addressbook.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Sep 2007 19:19:47 +0300

osso-chat-ui (2.0.43-1) unstable; urgency=low

  * src/chat-menu.c: Use the correct account variable when
    adding a new contact from the tools menu. Fixes: NB#70043

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 18 Sep 2007 14:15:21 +0300

osso-chat-ui (2.0.42-1) unstable; urgency=low

  * src/chat-ui.c: Silence a compile time warning.
  * src/chat-view.c: Don't allocate static size structs with 
    g_new0, use g_slice_new0 instead.
  * src/chat-manager.c: Don't reorder messages from DB by time.
    Fixes: NB#55667
  * src/chat-box.c: Add mms:// links to supported list.
  * src/list-rooms-dialog.c: On connection lost, clean up channel
    and connection objects and dim the refresh button. Fixes: NB#51089

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 14 Sep 2007 15:20:44 +0300

osso-chat-ui (2.0.41-1) unstable; urgency=low

  * src/common.c, test/test-main.c: Add /* NOLOC */ comment
    after strings that aren't to be localized, or checked for
    localization. Makes a script happy...
  * src/chat-menu.c: Select first item in "Edit" sub menu when
    a menu item is dimmed. Fixes: NB#69284
  * src/chat-ui.c: Allow starting a chat with a manual contact.
    Fixes: NB#69346
  * src/chat-view.c: Don't print "offline" or "unauthorized" 
    event if a guy is blocked. Ever. Fixes: NB#64289

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 12 Sep 2007 17:55:47 +0300

osso-chat-ui (2.0.40-1) unstable; urgency=low

  * src/chat-ui.c: Present idle window when we don't have any
    accounts and an uri open is received. Fixes: NB#62981

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 11 Sep 2007 18:47:39 +0300

osso-chat-ui (2.0.39-1) unstable; urgency=low

  * src/chat-manager.c, src/chat-box.c, src/chat-ui.c: Use
    g_slices to allocate memory for fixed size contextes instead
    of g_new0.
  * src/chat-ui.c: Implement new D-BUS method for allowing external
    party to launch a chat channel, of any text channel type, using the UI.
  * src/common.c: Allow the use of account unique name in account
    lookups.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 11 Sep 2007 16:13:47 +0300

osso-chat-ui (2.0.38-1.1) unstable; urgency=low

  * versioned dependency on ui-fonts removed by demand of the Desktop
    team

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Mon, 10 Sep 2007 17:48:52 +0300

osso-chat-ui (2.0.38-1) unstable; urgency=low

  * src/chat-box.c: Add more restricted characters into link
    parsing. Fixes: NB#68758
  * src/chat-view.c: Don't stop code execution in the middle of
    and invitation to a room. Fixes: NB#68155

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Sep 2007 12:59:55 +0300

osso-chat-ui (2.0.37-1) unstable; urgency=low

  * Add new contact into correct group and use the account
    if available in idle view's add contact button.
  * src/chat-view.c: Check if a contact already has a manual
    contact available before adding a new one.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  6 Sep 2007 18:12:35 +0300

osso-chat-ui (2.0.36-1) unstable; urgency=low

  * Brutally just call exit when device is shutting down.
  * Handle flight mode. Fixes: NB#57342
  * Inherit GtkHPaned directly in ChatView, instead of GtkVBox

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  4 Sep 2007 17:05:12 +0300

osso-chat-ui (2.0.35-1) unstable; urgency=low

  * src/chat-view.c: Cope with gabble not sending the subject-contact
    every time a property is changed.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 31 Aug 2007 17:18:05 +0300

osso-chat-ui (2.0.34-1) unstable; urgency=low

  * src/chat-idle-window.c, src/chat-menu.c: Implement
    add contact functionality. Fixes: NB#66894
  * src/smiley-menu.[ch], src/toolbar.c: Implement smiley
    menu as a separate widget instead of keeping it inline in
    the toolbar.
  * src/participant-pane.c: Silence a Gtk-Warning.
  * src/chat-view.c: Don't activate LED pattern on topmost
    window when display isn't dimmed. Fixes: NB#65774
  * src/toolbar.c: On realize event into the entry grab
    focus manually, looks like can-default flag wasn't enough.
    Fixes: NB#62125

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 30 Aug 2007 17:59:53 +0300

osso-chat-ui (2.0.33-1) unstable; urgency=low

   * src/chat-menu.c: Monitor P2P capable account existence to
     dim and undim "New contact" and "Find contact" menu items.
   * src/chat-menu.c: Hide "Unblock" CSM command when in idle
     window.
   * src/participant-pane.c: Hack scrolling to work when cursor is
     moved to a member that isn't fully visible.
   * src/chat-window.c: Change log time stamp to match new specs
   * src/chat-menu.c: (chat_menu_show_help_cb):
   * src/common.h:
     Use the same help id for idle and active views (Fixes: NB#62719)

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 27 Aug 2007 19:02:51 +0300

osso-chat-ui (2.0.32-1) unstable; urgency=low

  * Adapt to libosso-rtcom and libosso-abook API changes

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 24 Aug 2007 15:56:35 +0300

osso-chat-ui (2.0.31-1) unstable; urgency=low

  * src/chat-idle-window.c: Fix marking idle window widget's visibility.
    Fixes: NB#66308
  * src/toolbar.c: Remove paste hacks from code, use GTK 2.10 inbuilt
    features instead.
  * src/chat-ui.c: Fix tracking of topmost window to use HildonWindow's
    option, instead of monitoring focus events. Fixes: NB#65270
  * Remove last remnants of old "account not configured" note.
  * src/participant-pane.c: Instead of unsetting and setting a model,
    just tell the column to recalculate it's size when avatar setting is
    changed.
  * src/participant-pane.c: Make the protocol icon scrollable again.
    Also this will prevent it being pushed to the left when the pane
    is made smaller. Fixes: NB#66018
  * src/participant-pane.c: "Leak" some  events from internal tree view
    to be events from the whole pane. Specifically left and right keys.
    Fixes: NB#64775
  * src/chat-menu.c: Add paste options to menu. Fixes: NB#63536

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 23 Aug 2007 15:27:54 +0300

osso-chat-ui (2.0.30-1) unstable; urgency=low

  * Modify packaging to follow the new way of using maemo-launcher.
    Fixes: NB#65910
  * data/chat-ui.desktop.in: Changed all start chat options to
    use logical string uri_link_start_new_chat from osso-uri
    domain. Fixes: NB#61288
  * src/chat-window.c: Don't crash if we're not connected while
    inviting people to a group chat. Fixes: NB#65623
  * src/chat-view.c: Cancel ongoing request of joing a room when password
    dialog is cancelled. Fixes: NB#60724
  * src/manual-chat-dialog.c: Grab focus back to adderess entry when
    invalid address is entered and OK button clicked. Fixes: NB#64362
  * src/chat-idle-window.[ch]: Add a function to get a currently
    selected contact object. Fixes: NB#65345
  * src/toolbar.[ch]: Add a method to add text into entry without
    clearing the whole contents.
  * src/chat-ui.c: Add osso-obj parameter to idle window.
    Fixes: NB#64069
  * src/chat-ui.c: Don't show window when reconnecting.
    Fixes: NB#64909
  * src/chat-menu.c: Show "Not available banner" when trying to
    pop "Get in contact" dialog for ourselves. Fixes: NB#62384
  * src/chat-view.c: Reset our own presence if a p2p chat is closed.
    Fixes: NB#65147
  * src/chat-view.c: Don't reset the "Contact unauthorized" flag before
    channel cleanup has been done. Fixes: NB#63526
  * src/list-rooms-dialog.c: (listing_rooms_cb):
    Correct a logical string (Fixes: NB#64658)
  * src/chat-menu.c: (chat_menu_block_user_cb):
    Do not try to get the group iface from a non-existing channel
    and crash (Fixes: NB#65233)
  * src/chat-menu.c: (chat_menu_finalize):
    Remove weak pointer from @priv->window
  * src/list-rooms-dialog.c: (stop_listing_reply_cb), (search_cb):
    Ensure we display "Refresh stopped" instead of "Completed" if
    user interrupted the search (Fixes: NB#61677)
  * src/list-rooms-dialog.c: (listing_rooms_cb),
    (stop_listing_reply_cb), (entry_changed_cb),
    (list_rooms_dialog_init), (list_rooms_dialog_finalize):
    Properly dim/undim the Search button (Fixes: NB#63775)
  * src/chat-view.c: (member_activated_cb):
    Show "Not available" banner if the contact starter cannot be run
    (Fixes: NB#65556)
  * src/chat-menu.c: (chat_menu_edit_activated_cb),
    (chat_menu_constructor):
    Connect to the "activate" signal of the edit menu item
    rather than the "map" signal of the submenu (Fixes: NB#62468)

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 17 Aug 2007 16:11:51 +0300

osso-chat-ui (2.0.29-1) unstable; urgency=low

  * Do not crash on opening room settings after having been kicked
    out of the room (Fixes: NB#63335)
  * Fix a crash on inviting invalid contact (Fixes: NB#63022)
  * Fix an invalid free() when the GError is set in RequestAliases
    reply (Fixes: NB#62819)
  * Avoid passing NULL to strcmp() (Fixes: NB#63675)

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 19 Jul 2007 12:06:16 +0300

osso-chat-ui (2.0.28-1) unstable; urgency=low

  * Switch order of www. and email with mere @ link
    parsing. Fixes: NB#61406
  * Make sure not to connect to "MessageReceived" signal
    before pending messages have been listed.
    Fixes: NB#55667

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 29 Jun 2007 17:36:44 +0300

osso-chat-ui (2.0.27-1) unstable; urgency=low

  * Show label in "Join chat room dialog". Fixes: NB#60720
  * Close "Chat rooms dialog", when joining a room and CM
    supports "handle-name" field. Fixes: NB#61285
  * Add sip: into supported link formats. Fixes: NB#61156
  * Move g_thread_init call before gtk_init to quiet one
    GLib-Critical warning.
  * Don't unref the incoming EContact object when updating
    contact selection in idle view. Quiets another GLib
    Critical. Also, caused occasional crash in the menu
    unreffing. Fortunately it's a singleton.
  * Append locale preferred date into the saved log file
    name instead of system time. This will be resolved after
    new localization package is released. Fixes: NB#61348
  * Add a handler for sip: into chat ui's desktop file.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 21 Jun 2007 18:02:44 +0300

osso-chat-ui (2.0.26-1) unstable; urgency=low

  * Add dependencies to new osso-accounts-settings package
  * Create the accounts applet library name constant build time.
    Fixes: NB#60371
  * Add insensitive press message to invite button
  * Add insensitive press message to "join rooms dialog" "OK"
    button. Fixes: NB#60642
  * Pack "OK" button first into the dialog on manual chat dialogs.
    Fixes: NB#60645
  * Don't use removed _set_new_contact function on abook's select
    dialogs.
  * Add handle-name use into list rooms dialog. But also, use a
    fallback of using the integer handle for CMs that don't return
    the handle-name.
  * Open a "Get in contact" dialog for a chat member when the
    member is activated (double tap, select hw key...)
  * Small optimatizations to list rooms dialogs list packing.
  * Add async stop listing call into list rooms dialog.
  * Add tilde support to web links. Fixes: NB#54837
  * Always show "Copy link location" in CSM menu for chat area.
    Also, pack the actions as first items to the menu, instead of
    appending them. Fixes: NB#59761
  * Add shortcut support to chat menu.
  * Cleaned up monitoring MMC removal while saving chat log.
  * Ask CMs for handle ids when trying map windows to new
    channels to be absolutely sure that the handles match. This
    works only if the used account is online. If we need to do
    offline comparisons, we have no way of knowing if the
    handles really match... Fixes: NB#59569, NB#60051
  * Don't free handle array inside the member build function.
    Also, remember to nullify freed GErrors in member building.
    Fixes: NB#59491, NB#60581
  * Take into use the more generic error "Operation failed"
    as a fallback instead of "Permission denied", which was still
    used in several different situations.
  * Add few new telepathy errors into handler, that were recently
    added into the telepathy specs.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 14 Jun 2007 16:43:18 +0300

osso-chat-ui (2.0.25-1) unstable; urgency=low

  * Fix a crash in new async alias query (when it fails)
  * Fix logical string in settings dialog.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 31 May 2007 19:11:32 +0300

osso-chat-ui (2.0.24-1) unstable; urgency=low

  * Made alias query async to connection managers. This speeds
    up chat initiation with a contact, since we don't wait for
    connection manager to make a network query at this point.
  * Switch the sort order of password protected and invitation 
    only rooms. Fixes: NB#51177
  * Add manual contacts into query and visual filter flags for
    idle view.
  * Don't use deprecated TP_CONN_HANDLE types.
  * Prepare for receiving handle names in listing of rooms.
  * Apply changes in specs for room listing dialog.
  * Allow blocking of contacts from idle view. Fixes: NB#59032
  * Get group flags from window correctly while blocking a
    contact. Fixes: NB#59100
  * Fix "Add to contacts" option sensitivity. Meaning, set it to
    dimmed when the channel doesn't support permanent handles.
    Really. Fixes: NB#56066, NB#59181

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 31 May 2007 18:06:51 +0300

osso-chat-ui (2.0.23-1) unstable; urgency=low

  * Some memory leaks fixed.
  * Add some sort of validations to manually entered chat
    addresses. Fixes: NB#57256, NB#58099
  * Reintroduce a removed signal to close a chat window.
    Fixes: NB#56041
  * Add appending ellipsizes for oversized, received message.
    Fixes: NB#51090
  * Added "Opening chat room" animation banner. Fixes:NB#56546

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 30 May 2007 16:28:25 +0300

osso-chat-ui (2.0.22-1) unstable; urgency=low

  * Add support for selection changed into idle view. Also, push and
    enable user commands in user submenu based on contact selected.
    Fixes: NB#55821
  * Implement functionality related to live searching of contacts
    in the avatar view. Also, add the search contacts menu item into
    application menu. Fixes: NB#56527
  * Add support for CSM in the idle view. This can be popped out
    when tapping and holding over the avatar view. Fixes: NB#56524

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 28 May 2007 18:51:44 +0300

osso-chat-ui (2.0.21-1) unstable; urgency=low

  * Don't, by default enable video invitation.
  * Change side pane button to toggle button. Also, use
    the correct icon. Fixes: NB#57318
  * Change icon sizes in toolbar from GTK_ICON_SIZE_LARGE_TOOLBAR
    to HILDON_ICON_SIZE_TOOLBAR.
  * Add new way of mapping and setuping chat windows, allow
    "idle" active chat windows, where the entry field is enabled.
    Fixes: NB#57323
  * Undim "Unblock" menu options when blocking contacts locally.
    And vice versa. Fixes: NB#57193
  * Force user to select an account to map the new contact to,
    when selecting "Create a new contact" option from application
    menu.
  * Add insensitive messages for copy and select all menu
    commands. Fixes: NB#57391, NB#57393
  * Add "Saved" information banner for saving chat log.
    Fixes: NB#56557
  * Change LED lighting event name to match the new one found
    in mce configuration file.
  * Don't override existing contact object of a chat member if some
    contact object containing similar information is edited.
    Fixes: NB#55236
  * Add a check if the found contact object is "manual" object,
    meaning it's present only in the "recent" group.
    Fixes: NB#57364, NB#57608
  * Copy topic string prior of freeing the original data structure.
    Fixes: NB#55624
  * Mark the view containing text when messages are found from
    database. Fixes: NB#58359

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 25 May 2007 18:40:56 +0300

osso-chat-ui (2.0.20-1.2) unstable; urgency=low

  * IVC disabled

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Thu, 24 May 2007 11:38:06 +0300

osso-chat-ui (2.0.20-1) unstable; urgency=low

  * Move handling of joining into chats into one centralized
    part of the code.
  * Due to the issue above, move also handling of room listings
    into the same part of the code.
  * Don't errorneusly connect to window's "destroy" and "delete-event"
    signals. Fixes: NB#57078

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 15 May 2007 14:08:33 +0300

osso-chat-ui (2.0.19-1) unstable; urgency=low

  * Replace "join room dialog" with "manual chat dialog".
    This supports joining on chats with a direct contact handle
    and room handle.
  * Add "Edit" submenu and it's items. Fixes: NB#56274
  * Add menu command "IM with...". Fixes: NB#55826
  * Add menu command "Unblock" to CSM and "User" sub menus.
    Fixes: NB#56399, NB#56597
  * Add menu command "New contact". Fixes: NB#56375
  * Add information banner for blocking a contact.
    Fixes: NB#56400
  * Don't crash when searching from empty chat.
    Fixes: NB#54675
  * Add information banner "Invitation sent" after inviting
    people into a room. Fixes: NB#55852
  * Fix "Save chat log" item sensitivity. Fixes: NB#53191
  * Save latest used handles into GConf only after the
    "OK" button is clicked. Fixes: NB#51087
  * Remove various hildon transition hacks from code.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 10 May 2007 18:32:10 +0300

osso-chat-ui (2.0.18-1) unstable; urgency=low

  * Replace all HILDON_ICON_SIZEs with GTK_ICON_SIZEs
  * Explicitly destroy the "Refreshing" banner when room listing
    dialog is closed. Fixes: NB#54985

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 27 Apr 2007 17:35:14 +0300

osso-chat-ui (2.0.17-1) unstable; urgency=low

  * Re-enable the contact selection dialog for selecting
    a contact to send a video invitation to. Fixes: NB#54965

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 27 Apr 2007 13:40:04 +0300

osso-chat-ui (2.0.16-1) unstable; urgency=low

  * Add support for CSM in chat text box.
  * Add exlamation mark into supported chars in links.
    Fixes: NB#53061

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 24 Apr 2007 11:32:58 +0300

osso-chat-ui (2.0.15-1) unstable; urgency=low

  * Add a guessimate of contact authorization situation into
    the ui for showing a different message when a chat is started.
    Fixes: NB#51155

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 17 Apr 2007 17:59:03 +0300

osso-chat-ui (2.0.14-1) unstable; urgency=low

  * Increase smiley icon size in smiley grid to 64
  * Modify smiley grid layout to be 6 columns and 2 rows
  * Increase toolbar button width to 72 pixels
  * Change event and action messages to match the instructions
    in new specs.
  * Change time stamps to match the instructions in new specs.
  * Connect the invite signal handler once more. Fixes: NB#53482
  * Make smiley comparisons case insensitive. Fixes: NB#51093
  * Add underscore into supported chars in emails of format:
    aaa_bbb_ccc@foobar.org. Fixes: NB#53930

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 17 Apr 2007 16:13:59 +0300

osso-chat-ui (2.0.13-1) unstable; urgency=low

  * Sanity checks and a crash fix into avatar update callback
  * Allow chat ui to notice a new remote avatar if none is
    previously set.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 10 Apr 2007 14:32:13 +0300

osso-chat-ui (2.0.12-1) unstable; urgency=low

  * Remove custom renderer. Use one from libosso-rtcom instead.
  * Re-fix New chat item sensitivity
  * Conditionally add support for new hildon help instead of osso
    helplib.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 30 Mar 2007 14:38:39 +0300

osso-chat-ui (2.0.11-1) unstable; urgency=low

  * Instead of using a custom idle view (window) widget, use the
    one from libosso-rtcom
  * Prepare for gtk 2.10 and libhildon-1 with some backwards
    compatability.
  * Launch accounts applet when clicking "Add account" button in
    idle view. Fixes: NB#53112
  * Don't override messages from DB when the chat is started from
    TN plugin event. Fixes: NB#52011
  * Fix "New chat" menu item sensitivity. Fixes: NB#53184

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 22 Mar 2007 13:16:53 +0200

osso-chat-ui (2.0.10-1) unstable; urgency=low

  * Include chat-voip-service-dialog.[ch] from libosso-abook

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 14 Mar 2007 18:12:35 +0200

osso-chat-ui (2.0.9-1) unstable; urgency=low

  * Update contacts with last used time stamp when
    a chat is started with someone.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 13 Mar 2007 18:01:14 +0200

osso-chat-ui (2.0.8-1) unstable; urgency=low

  * Fixed number of smallish bugs in idle window
  * Common, shared menu added for both window types, there's
    only a single instance of the menu in the program.
  * Removed most of the menu related codes from chat window
    and -view, put them in the chat menu.
  * Removed idle view codes from chat window and -view
  * Select contact dialog removed
  * Recoded lots of stuff related to window ordering

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 13 Mar 2007 15:59:17 +0200

osso-chat-ui (2.0.7-2) unstable; urgency=low

  * Added build time dependency to libimlogger-dev

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  1 Mar 2007 13:35:28 +0200

osso-chat-ui (2.0.7-1) unstable; urgency=low

  * Add initial support for fetching messages from libimlogger
  * Match avatars based on one's account (user name) rather than
    the contact object, same contact can have different avatars on
    different services.
  * Add support for contacts changing aliases.
  * Remove code duplications for various methods of handling
    connection loss to a channel or actual connection.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  1 Mar 2007 13:23:54 +0200

osso-chat-ui (2.0.6-1) unstable; urgency=low

  * Add account monitor for monitoring our own avatar changes.
  * More member data resolve code duplications removed. From both
    MUCs and p2p chats. Should lower code complexity level some.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 26 Feb 2007 16:29:14 +0200

osso-chat-ui (2.0.5-1) unstable; urgency=low

  * Remove code duplications for creating a single member data.
  * Add ourselves into p2p chats, allowing avatar to show also
    then.
  * Don't care about connection based self handle in mucs, it
    shouldn't really be needed.
  * Don't resolve our own data twice in case of MUCs

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 23 Feb 2007 17:06:42 +0200

osso-chat-ui (2.0.4-1) unstable; urgency=low

  * Fetch and show own avatar from accounts (works only in MUCs)
  * Add avatar drawing primitives to custom renderer as well, to
    bypass GTK bug of not drawing the selection box correctly
    when one column is hidden.
  * Scale and cache all avatars locally.
  * Add intersects into custom renderer to avoid rendering all
    data to screen every time a part of the cell is needed to be
    rendered.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Feb 2007 15:26:25 +0200

osso-chat-ui (2.0.3-1) unstable; urgency=low

  * Add avatar settings into settings dialog.
  * Fix room settings dialog's ok button sensitivity.
    Fixes: NB#51166
  * Introduce a custom renderer for member listings to allow
    presence icon and texts in same cell.
  * Member data, presence message and storage modified to
    follow more logical names. Also, avoid allocating memory
    always when a preferred name is wanted to be changed.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 12 Feb 2007 14:51:09 +0200

osso-chat-ui (2.0.2-1) unstable; urgency=low

  * Allows pasting several lines into the entry field
  * Compatible with MC 4.3-1

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 11 Jan 2007 15:32:34 +0200

osso-chat-ui (2.0.1-1) unstable; urgency=low

  * Compatible with osso-addressbook 2.20070105
  * Initial avatar support for known contacts.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 10 Jan 2007 14:23:47 +0200

osso-chat-ui (2.0.0) unstable; urgency=low

  * Compatible with MC 4.1

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  9 Jan 2007 20:12:36 +0200

osso-chat-ui (1.2.13-1) unstable; urgency=low

  * Show local account selection dialog once more when
    we don't know which account to use. Fixes: NB#50166

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 21 Dec 2006 13:25:57 +0200

osso-chat-ui (1.2.12-1) unstable; urgency=low

  * Correctly notice bool property changes. Fixes: NB#49092

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 19 Dec 2006 18:27:49 +0200

osso-chat-ui (1.2.11-1) unstable; urgency=low

  * Check account capabilities when listing viable accounts.
    Fixes: NB#49986
  * Check account existence more consistently. Fixes: NB#48439
  * Pop out existing chat for a guy if we already have one.
    Fixes: NB#49801
  * Also compare accounts, not just handles when matching chats.
    Fixes: NB#49787
  * Add rtsp:// to supported links. Fixes: NB#48893

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 19 Dec 2006 15:02:52 +0200

osso-chat-ui (1.2.10-1) unstable; urgency=low

  * Link fragments are now split also by line feeds prior
    parsing. Fixes: NB#46399
  * Remove "changed" status check from password field in
    room settings. Fixes: NB#49049

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  5 Dec 2006 17:51:31 +0200

osso-chat-ui (1.2.9-1) unstable; urgency=low

  * Add focus-in-event and enter-notify-event handlers for
    conversation windows to disable LED pattern. Fixes: NB#46327
  * Add disconnection for PasswordFlagsChanged signal. This was
    received to a destructed object. Fixes: NB#48787

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 30 Nov 2006 15:14:02 +0200

osso-chat-ui (1.2.8-1) unstable; urgency=low

  * Moved unlinking to be done after file is closed in error
    situation while saving the chat log. Fixes: NB#34435

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 28 Nov 2006 14:51:02 +0200

osso-chat-ui (1.2.7-1) unstable; urgency=low

  * Only commit room properties that have been edited in the
    dialog. Fixes: NB#46157
  * Add iscontrol and isspace checks for link ends and beginnings.
    Fixes: NB#46399
  * Go online always when chat ui tries to initate a new chat... or
    it is started. Fixes: NB#48411

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 27 Nov 2006 17:52:22 +0200

osso-chat-ui (1.2.6-1) unstable; urgency=low

  * Disconnect channel in exit if the channel object is available
    but channel isn't fully formed. Fixes: NB#46089
  * Don't connect to channel signals if they're already connected
    after correct password is provided. Fixes: NB#35484

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 15 Nov 2006 11:37:47 +0200

osso-chat-ui (1.2.5-1.2) unstable; urgency=low

  * added dependency on gabble 0.4.5
  * Fixes: NB#47644

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Thu, 16 Nov 2006 11:57:52 +0200

osso-chat-ui (1.2.5-1) unstable; urgency=low

  * Get presence after private conversation is truly ready.
    Fixes: NB#46420
  * Don't ref the EBookView returned in async EBookView open.
    Fixes: NB#46847

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  9 Nov 2006 19:26:11 +0200

osso-chat-ui (1.2.4-1) unstable; urgency=low

  * Add visibility notify, key press event and parent to smiley
    grid. Fixes: NB#43901
  * Check if account is actually returned from account selection
    dialog for a known contact. Fixes: NB#46064

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  8 Nov 2006 18:44:12 +0200

osso-chat-ui (1.2.3-1) unstable; urgency=low

  * Don't mark sub menus with visibility flag. Fixes: NB#37659
  * Add empty space before and after smileys clicked from menu.
    Fixes: NB#45642
  * Remove pending requests when account goes offline. Also check
    existence of a channel object in password dialog's response
    signal. Fixes: NB#46077
  * Don't double free array of handles when creating a member
    struct in message received signal. Fixes: NB#46217

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  8 Nov 2006 12:19:51 +0200

osso-chat-ui (1.2.2-1) unstable; urgency=low

  * Delay reconnection to a chat a bit. Fixes NB#42371
  * Hold handle prior of requesting it for the room listings.
    Fixes NB#44439
  * Do not hold several instances of connection and channel
    objects, to get more reliable information of destroyed
    channel and connection. Fixes NB#41485.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 26 Oct 2006 18:42:37 +0300

osso-chat-ui (1.2.1) unstable; urgency=low

  * Link smiley and email address parsing refixed.
    Re-fix NB#42234, NB#42252 and NB#43083.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 19 Oct 2006 11:48:54 +0300

osso-chat-ui (1.2.0-1.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 17 Oct 2006 18:48:06 +0300

osso-chat-ui (1.2.0-1) unstable; urgency=low

  * More accurately check EBook existence overall in the code.
    Fixes NB#42288.
  * Note placements hacked to work better again. By setting
    default sizes for windows. Fixes NB#42341.
  * Window is shown right away when requesting chat information.
    Fixes NB#42895.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 17 Oct 2006 17:17:31 +0300

osso-chat-ui (1.1.12-1) unstable; urgency=low

  * Link, smiley and email address parsing recoded.
    Fixes NB#42234, NB#42252 and NB#43083.
  * Memory leak fixes done in listing open channels.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 16 Oct 2006 17:16:54 +0300

osso-chat-ui (1.1.11-1) unstable; urgency=low

  * Uses new libscw interaction type to enable new type
    of determining between panning and selection. Fixes
    NB#35725
  * Modified list rooms dialog people column alignments.
    Fixes NB#42645.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 11 Oct 2006 15:01:51 +0300

osso-chat-ui (1.1.10-1) unstable; urgency=low

  * Doesn't reset model every time font is changed. Newer libscw
    supports style changes now.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  9 Oct 2006 17:41:44 +0300

osso-chat-ui (1.1.9-1) unstable; urgency=low

  * More accurate check of finding on chat if it's reached end
    of log without finding anything. Fixes NB#41985.
  * Find toolbar entry hilited on open. Fixes NB#42159.
  * Requests are compared without conference server also, in case
    of Jabber if request hasn't been found from internal list. This is
    done only for rooms. Workaround for NB#40262.
  * Presence icon removed in p2p chats when presence goes offline.
    Fixes NB#41966.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  4 Oct 2006 14:22:00 +0300

osso-chat-ui (1.1.8-1) unstable; urgency=low

  * Mugged HW key events, exposed entry from toolbar
    to view. Fixes NB#32735.
  * UI startup paths simplified a bit.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 29 Sep 2006 14:28:58 +0300

osso-chat-ui (1.1.7-1) unstable; urgency=low

  * Changes required by libosso-video-invitation >= 0.0.4.
    Compile with --enable-video-invitation
  * Find on chat menu item is now check menu item.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 28 Sep 2006 18:36:01 +0300

osso-chat-ui (1.1.6-1) unstable; urgency=low

  * Highlite search toolbar field when no matches found.
    NB#41472.
  * Print "Search complete" only when reaching to the end
    of chat view. NB#41330.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 26 Sep 2006 19:26:00 +0300

osso-chat-ui (1.1.5-1) unstable; urgency=low

  * Automatically selects first row in side pane. To
    be on the safe side for upcoming hildon change.
  * Added copying from chat view.
  * Refactored some HW key events. Fixes NB#32735.
  * Focus moved to entry if the focus comest to toolbar.
    NB#32735.
  * Added removing of the empty log file if saving fails for some
    other reason than volume-unmount -event.
  * EBook object is now owned by the common manager instead of the
    main object.
  * Active chats now listen to contact-changed/-deleted/-added
    signals based on vcard field instead of listening to all.
  * Search toolbar functionality fixed NB#41329, NB#41331.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 26 Sep 2006 16:49:06 +0300

osso-chat-ui (1.1.4-1) unstable; urgency=low

  * Added string key for integer handle based requests. Fixes
    NB#40687
  * Updated logical strings for kick and ban events to match
    the UI specs version 6.1. Fixes NB#29660, NB#31257 and
    NB#37715.
  * Added background killability, if only idle view is open.
  * Fixed positioning of the Select contact dialog. Fixes
    NB#40149.
  * Increased chat title length by 6 times to allow the
    calculation to take in also a correct amount of chars in
    UTF-8. Fixes NB#37803.
  * Implemented: NR#130930

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 21 Sep 2006 20:15:49 +0300

osso-chat-ui (1.1.3) unstable; urgency=low

  * Removed one extra gtk_widget_destroy.
  * Changed one logical string in List Rooms Dialog. Fixes
    NB#36562

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 14 Sep 2006 18:11:53 +0300

osso-chat-ui (1.1.2-1) unstable; urgency=low

  * Select Account dialog switched to Select Contact dialog.
    Also added code for showing the select account dialog after
    this. Fixes NB#31860, NB#35185 and NB#35436.
  * Added handler for xmpp schema.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 13 Sep 2006 18:48:01 +0300

osso-chat-ui (1.1.1-1) unstable; urgency=low

  * Moved scrolling to end to before adding lines to model,
    fixes NB#34611.
  * Added showing banner that searching is stopped, fixes
    NB#37660.
  * Removed check if Idle View is visible, fixes NB#40136.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 11 Sep 2006 18:31:15 +0300

osso-chat-ui (1.1.0-1) unstable; urgency=low

  * Compliant and dependant with telepathy spec version 0.13,
    libtelepathy-0.0.31
  * Introduced chat-manager object, fixing bugs NB #30046 and
    NB#33078
  * Fixed fetching of a contact object for members, specifically
    moved getting of the vcard to earlier spot in the code.
    NB#38345
  * Removed jumping in text log by utf-8 chars when copying is
    done by offset. Fixes NB#37707.
  * Does not setup a channel again, when the channel is still
    valid. Fixes NB#36354.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 29 Aug 2006 20:43:32 +0300

osso-chat-ui (1.0.6-1) unstable; urgency=low

  * Window management revamped. Idle window is tried to be closed
    always when possible, i.e. when opening new chat. NB#30194.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 17 Aug 2006 11:27:56 +0300

osso-chat-ui (1.0.5-1) unstable; urgency=low

  * Added "Search on chat" functionality. NB#32865.
  * Room address now shown in "Password dialog". NB#31110.
  * Angry smiley in middle of a word shouldn't automatically
    mean email address, in fact it should never mean that.
    NB#31180.
  * URI action Name set to tana_fi_new_chat. NB#37589.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 15 Aug 2006 20:37:35 +0300

osso-chat-ui (1.0.4-1) unstable; urgency=low

  * Backported some fixes for room settings dialog. Related
    to NB#35597.
  * Added more private data checks in list pending messages,
    getting member listing and in presence update. Fixes
    NB#34124.
  * Updates self flag on member listing if our own data is
    also in a MUC list. NB#35465.
  * Added new logical string for changing room topic. Sometimes
    topic changes is unknown. NB#35992.
  * New contact button is enabled NB#35435
  * Room Name field is empty by default when joining to a room,
    NB#34021.
  * Removed -ansi flag from Makefile.am. NB#36880

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  7 Aug 2006 18:07:53 +0300

osso-chat-ui (1.0.3-1) unstable; urgency=low

  * pass top_window to accounts plugin (Fixes: NB#34701)

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 13 Jul 2006 14:10:18 +0300

osso-chat-ui (1.0.2-1) unstable; urgency=low

  * Better support for chatto: URIs, NB#29658
  * Search / Stop button functionality in room listing dialog
    fixed. NB#33176
  * Fixed menu states based on initial selection. NB#33715

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 28 Jun 2006 20:19:39 +0300

osso-chat-ui (1.0.1-1) unstable; urgency=low

  * Better support for IRC and Jabber based /me actions
  * Some minor code reorganizing.
  * Contact deleted flag checked better
  * Minor localization fix, NB#33243

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 22 Jun 2006 11:57:05 +0300

osso-chat-ui (1.0.0-1) unstable; urgency=low

  * First branched version. Graphical smileys are enabled by
    default.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 20 Jun 2006 16:55:35 +0300

osso-chat-ui (0.5.3-1) unstable; urgency=low

  * Minimum size of 210 pixes set for right side of the chat
    view. Workaround for NB#32429.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 19 Jun 2006 19:38:29 +0300

osso-chat-ui (0.5.2-1) unstable; urgency=low

  * Fixed saving chat logs. NB#32875
  * Hides "No accounts defined" note right away. NB#32912
  * Checks if a contact is deleted before assigning it to a
    member. NB#33009
  * Blocks reconnections until some reply in a form or another
    is received from MC. NB#32991

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 19 Jun 2006 17:58:53 +0300

osso-chat-ui (0.5.1-1) unstable; urgency=low

  * Fixed room listings so, that the "Close" command is called
    to correct interface. NB#32590.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 20:36:34 +0300

osso-chat-ui (0.5.0-1) unstable; urgency=low

  * Filters out fonts that are not allowed by the specs. NB#32808.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 18:49:12 +0300

osso-chat-ui (0.4.9-1) unstable; urgency=low

  * Doesn't show system modal error notes from MC. Keeps track of
    topmost window better so we get correct window on top for showing
    errors. Also, now uses VoIP errors, which are better suitable
    for the situation. NB#32837

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 17:22:05 +0300

osso-chat-ui (0.4.8-1) unstable; urgency=low

  * Uses ScwView's new property, "invert-panning", NB#32825

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 12:58:11 +0300

osso-chat-ui (0.4.7-1) unstable; urgency=low

  * Added implementation for new MC errors regarding joining
    a room which is full, we're banned from or is invite only, etc
    NB#31259 and NB#29430

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 15 Jun 2006 18:34:33 +0300

osso-chat-ui (0.4.6-1) unstable; urgency=low

  * Block handling of new messages while getting pending
    messages. NB#32632

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 14 Jun 2006 22:04:29 +0300

osso-chat-ui (0.4.5-1) unstable; urgency=low

  * remove default sort func from the list room view, refix #28596

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 14 Jun 2006 16:28:59 +0300

osso-chat-ui (0.4.4-1) unstable; urgency=low

  * Fixed an issue where pressing "Cancel" in close
    app note would still close chat ui.
  * Changed get_members to get_all_members, a partial
    fix to bug 29430.
  * Changed some magic numbers to use constants from
    libtelepathy as they're now available.
  * Using our own account id now as our bound account
    value rather than the inspected handle value.
  * Removed extra values from event messages for names
    and description changes, bugs 25471 and 25477
  * Added additional check for pw dialog state, to
    take care of bug 29673
  * Put input methods to start on lower case mode in
    the password dialog. Bug 31116.
  * Mugged INVALID handle send error to be mapped as
    offline. Don't know if this is correct, but it's
    more accurate than "permission denied".

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 13 Jun 2006 15:00:00 +0300

osso-chat-ui (0.4.3-1) unstable; urgency=low

  * Returning self_id for reconnect now.
  * Old memory leak in reconnect fixed, statuses were not
    freed when channel was closed, but they were freed when
    window was closed.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  9 Jun 2006 15:36:28 +0300

osso-chat-ui (0.4.2-1) unstable; urgency=low

  * Added handling for GnomeVFS errors in log save
  * Fix to prevent crashing of the UI when it's closed
    before select contact dialog is shown, bug 32259
  * More error handling added. Related to bugs 31259 and
    29430.
  * Checks if password dialog is already open prior of
    opening a new one, bug 29673
  * Memory low handling improved, bug 31981
  * Close chat confirmation note closed correctly, bug
    30170
  * Accounts wizard is not opened several times, bug
    31803
  * Added support for showing information banner when MMC
    is opened during saving of the log. Bug 28552
  * Channel setup is done in an idle function now, to avoid
    deadlock (or a delay) due to a simultanous call to MC
  * Removed commented code from the UI code
  * Added implementation for LostMessage signal, bug
    31277.
  * Hacked into layout a bit, using alignments now as
    containers for text area and side pane, with these could
    fix bug 31805
  * There is implementation for SendError signal now, bug 28067

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  9 Jun 2006 14:56:43 +0300

osso-chat-ui (0.4.1-1) unstable; urgency=low

  * add Completed banner, fix #30920 and #30920
  * add no chat rooms label
  * add room sorting, fix #28596
  * make search case-insensitive, add ckct_ib_find_no_matches banner, fix #29207
  * add search result filter, fix #29095
  * fixed #29706, #31252
  * Modified toolbar so that the entry field and send
    button can be separately dimmed / enabled, fix #31705
  * Added support for aliases from server side. Not fully
    functional, as it appears that the aliasing iface doesn't
    exist.
  * Added support for permanent ids for people in groups.
    Fixes 25385, 28208, 28866
  * Syncronous queries to resolve member data. Easier to
    manage, but possible to cause a 15 sec lockup with a
    perfectly timed gabble or EDS crash. However, fixes bug
    29415

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  2 Jun 2006 21:14:56 +0300

osso-chat-ui (0.4.0-1) unstable; urgency=low

  * src/chat-window.c: Added handling for memory low, fix to bug
    27901.
  * src/chat-view.c: Generic infoprint search & remove. Some code
    changed to reduce the complexity level of the code. Added
    event message for initiating a chat with offline contact and
    when contact moves offline. Added missing insensitive
    infoprints to user menus. Resolves bug 31240.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 30 May 2006 18:20:22 +0300

osso-chat-ui (0.3.9-1) unstable; urgency=low

  * src/participant-pane.c: Added some HW key handling.
  * src/chat-box.[ch]: Added scrolling function.
  * src/chat-view.c: Added HW key handling to fix bugs
    26153 and 26166.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 29 May 2006 19:56:20 +0300

osso-chat-ui (0.3.8) unstable; urgency=low

  * src/chat-window.c, src/chat-ui.c, src/chat-view.[ch]: Added
    monitoring of EBook backend dying. Fixes bug 30745. Figured
    it might help bug 31015, but it didn't.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 29 May 2006 15:26:08 +0300

osso-chat-ui (0.3.7-1) unstable; urgency=low

  * src/chat-view.c: Fixed ChavoButton, bug 30324. Partial fixes
    to showing events for changing room settings, bugs 25471 and
    25477.
  * src/chat-box.c: Branched implementations, use special switch
    to compile buggy graphical smileys. Also fixed angry smiley
    being confused as email address, bug 30403.
  * src/toolbar.c: New smiley support, also removed focuses
    from smiley buttons, shouldn't close IM when clicked. Use
    special switch to compile with icons.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 24 May 2006 21:36:19 +0300

osso-chat-ui (0.3.6-1) unstable; urgency=low

  * src/chat-view.c: Fixed contact merging issue, rather contact
    deletion. Bug 30228.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 22 May 2006 21:03:36 +0300

osso-chat-ui (0.3.5-1) unstable; urgency=low

  * src/chat-view.c: Really fix blocking of unknown contact.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 19 May 2006 17:40:51 +0300

osso-chat-ui (0.3.4-1) unstable; urgency=low

  * src/participant-pane.c: Added text weight support, related to
    bug 25346.
  * src/room-settings-dialog.c: Removed spacing between widgets,
    it was against the layout guide, probably a remnant of old code.
  * src/chat-window.c: Various hacks for error handling, removed
    incorrect error strings, fix to bug 29784. Mugged selecting
    contact, joined the two select contact functions to one,
    displaying of account wizard mugged. Related to bugs 30161,
    29836 and 29254.
  * src/chat-view.c: Changed the contact creation a bit, contact
    is given user ids in GList now rather than in single string,
    bug 30164. Added couple of menu state updates to fix
    inconsistent states in menus. Added marking a single contact
    with a "self" flag. Annoying addition to fix bug 25346. Might
    be a good idea to pass around the member pointer everywhere
    instead of stripping out single data from the struct.
  * src/common.[ch]: Stupid additional hacks due to incomplete
    error handling system available. Fixes some weird error
    string bugs, like 29784.
  * src/chat-ui.c: Added MC error signal listening. Some hassle
    added for idle window popping and such, fixes bugs 29836 and
    29254. Added callback for HW events, fixes bug 25112.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 19 May 2006 16:15:03 +0300

osso-chat-ui (0.3.3-1) unstable; urgency=low

  * src/chat-box.c: Recoded link and smiley parsing. Fixes bugs
    24915, 29790 and 29807.
  * src/chat-view.c, src/chat-window.c: Added a signal for received
    message into chat, fixes bug 24254
  * src/chat-view.c: Removed a fallback from contact check, works
    incorrectly in some setups, fix to bug 29437. Fixed idle view
    button, bug 29702. Fixed resolving self handle for rooms, or
    parsing, bug 29723.
  * debian/rules: Applied thumb code generation, fix to bug 29521

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 16 May 2006 21:59:12 +0300

osso-chat-ui (0.3.2-1) unstable; urgency=low

  * src/participant-pane.[ch]: Changed the parent class to vbox,
    removed hacks for size requests, didn't work properly.
  * src/chat-box.[ch]: Changed the parent class to vbox, removed
    hacks for size requests. Added link opening, but there's no
    error handling visible as no errors are specified, bugs 29049
    and 29056.
  * src/room-settings-dialog.c: Added scrolled window and default
    size for the dialog. Fix to bug 27728.
  * src/chat-ui.c: Changed osso_abook_init to include the
    osso_context_t pointer. Changed URI handling a bit, added handling
    to a case where contact has several accounts, bug 26631. Additional
    functionality related to bug 29254 added, which isn't fixed yet
    though.
  * src/chat-window.c: Reconnect signal mugged a bit, few micro
    optimatizations (no real use, but done anyhow). Close chat
    confirmation note shown if a chat with a connection is closed,
    more or less connected to bug 28965. Switched full screen key
    into key press, bug 28033. Added confirmation note for asking
    if user would like to set up accounts when none are defined,
    bug 25242. Additional code to fix bug 26631.
  * src/chat-view.c: Can now also block properly people who are
    in p2p but not in our ABook, bug 29108. Listens to TpConn
    object's "destroy" signal, bugs 24242 and 27185. Members are
    removed from chat window if the chat isn't a p2p, bug 25644.
    Added listening to group flags. Also preliminary code for
    guessing if the real id of a user could be resolved. Fixed
    some theme rules for idle view.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 11 May 2006 19:55:13 +0300

osso-chat-ui (0.3.1-1) unstable; urgency=low

  * src/participant-pane.[ch]: Changed this to inherit the GtkBin
    instead of GtkScrolledWindow, partial fix to bug 27518
  * src/chat-box.[ch]: Changed this to inherit the GtkBin instead
    of GtkScolledWindow, the other half of fix to bug 27518
  * src/settings.c: Fixed a crash bug when removing extra rooms
    from saved room list, bug 28883
  * src/list-rooms-dialog.c: Removed some GLIB-Critical spams
  * src/chat-window.c: Only enabled accounts by vcard are shown
    in selecting an account to chat with a contact, bug 28856
  * src/chat-view.c: Using participant-pane and chat-box differently
    due to change in the objects. Added the Chavo* names for idle
    view. One smallish memory leak fixed in listing pending messages.
  * src/common.[ch]: Added a function to retrieve enabled accounts
    with certain vcard, related to bug 28856
  * src/chat-ui.c: Added implementation for top_application() function,
    used by the contact plugin, bug 27168. Improved window handling,
    bug 28588.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  9 May 2006 15:00:07 +0300

osso-chat-ui (0.3.0-1) unstable; urgency=low

  * src/chat-view.c: Fixed a crash in starting the UI, bug #28787.
    Fixed minor memory leaks in async D-BUS call callbacks. Additional
    fixes were inspired by bug #23701 (but doesn't fix it)

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  5 May 2006 18:23:05 +0300

osso-chat-ui (0.2.9-1) unstable; urgency=low

  * src/participant-pane.[ch]: It is now possible to update
    name on the side pane
  * src/list-rooms-dialog.c: Minor memory leaks fixed
  * src/join-room-dialog.c: Minor memory leaks fixed. Changed to
    use RtcomAccount directly instead of doing a stupid round trip
    to GConf to resolve it.
  * src/chat-window.c: Minor memory leaks fixed. Removed tabs from
    code. Removed some useless code. Changed EBookView to be created
    always.
  * src/chat-view.c: Memory leaks fixed. Added a EBookView into
    starter dialog, bug #28051. Added monitoring of contact add/change
    and remove, allows blocking and unblocking of contacts and name
    changes, bugs #25244, #27950. Improved group handling, bug #26785.
    Channel initiation changed, a lot, fixes initial presence state
    for contacts as well, bug #27955.
  * src/common.[hc]: Removed ESD hacks. Instead using hildon system
    sound API directly from chat-view.c. Fixed a crash bug in filtering
    RtcomAccount objects.
  * src/chat-ui.c: Fixed memory leaks and overall handling of uri
    open functionality.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  4 May 2006 19:39:12 +0300

osso-chat-ui (0.2.8-1) unstable; urgency=low

  * src/chat-view.c: Fixed conversation restoring. Now only
    checking handle names, no longer service names and such

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 28 Apr 2006 17:18:46 +0300

osso-chat-ui (0.2.7-1) unstable; urgency=low

  * src/chat-window.c: Removed the the find toolbar related code,
    Bug #28113
  * src/chat-view.c: Reimplemented the idle view based on specs
    version 6.1. Fixes bugs #27922, #27685

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 28 Apr 2006 14:47:05 +0300

osso-chat-ui (0.2.6-1) unstable; urgency=low

  * src/room-settings-dialog.c: Reimplemented, fixes bug
    26300

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 27 Apr 2006 20:44:50 +0300

osso-chat-ui (0.2.5-1) unstable; urgency=low

  * src/chat-window.c: Really fix #27643.
  * configure.in, debian/changlog: Bumpped version to 0.2.5
  * src/chat-box.c, src/toolbar.c, debian/control: Fixed simleys to use
    new codes defined in ui-fonts-1.2-1 package and added the
    dependency to it.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 19:35:19 +0300

osso-chat-ui (0.2.4-1) unstable; urgency=low

  * Really fix #27643. 

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 18:12:22 +0300

osso-chat-ui (0.2.3-1) unstable; urgency=low

  * configure.in, debian/changlog: Bumpped version to 0.2.3

  * src/chat-window.c: Added '.txt' extension to the chat log
        file, so that it can be opened from file manager easily
        (fixed bug #27643).
        
  * src/chat-view.c: Enabled view details menu item, set it
        sensitive only when we have the user in our addressbook and
        show the details dialog for him (fixed bug #25385)
        
  * src/chat-window.c: Allow invitation of multiple contacts to
        group chat (fixed bug #26180).

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 17:35:29 +0300

osso-chat-ui (0.2.2-1) unstable; urgency=low

  * Implemented room properties getting and setting. Setting doesn't
    actually work reliably because of some issues in telepathy-gabble.
  * Uses maemo launcher to start chat-ui
  * Fixed bug #26289, #24842.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 21 Apr 2006 16:54:46 +0300

osso-chat-ui (0.2.1-1) unstable; urgency=low

  * Implemented members blocking for both p2p chat and group chat.
  * Hidden 'Details' menu since 'Start' serves the same purpose
    (UI spec changed).
  * Implemented local blocking for chat rooms.
  * Show add to addressbook dialog only when we have the real ID of
    of the member. Set menu sensitivities of block user items ON only
    if the user is not blocked already.
  * Fixed a craher bug while processing room messages.
  * Set default font size to 16 and default
    state for block unknow contacts to FALSE (UI spec changed).

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 19 Apr 2006 17:09:13 +0300

osso-chat-ui (0.2.0-1) unstable; urgency=low

  * Updated menu sensitivities correctly when change happen for
    current selected member.
  * Show start dialog correctly.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 18 Apr 2006 21:05:32 +0300

osso-chat-ui (0.1.9-1) unstable; urgency=low

  * Multiple entries of same member fixed.
  * Multiple messages from the same memer fixed.
  * 'Invalid handle xx' error messages fixed.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 18 Apr 2006 19:54:50 +0300

osso-chat-ui (0.1.8-1) unstable; urgency=low

  * Added sound events
  * Completed preferences UI and connected them
  * updated schema files.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 18 Apr 2006 15:11:53 +0300

osso-chat-ui (0.1.7-1) unstable; urgency=low

  * Added joining to password protected rooms, depends on gabble fixes
  * Room listing dialog can now be used
  * Links are now highlighted
  * Contains default settings

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 12 Apr 2006 14:52:41 +0300

osso-chat-ui (0.1.6-1) unstable; urgency=low

  * Some new functionality added

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Apr 2006 17:27:54 +0300

osso-chat-ui (0.1.5-1) unstable; urgency=low

  * uri handling and smiley support

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  7 Apr 2006 15:42:19 +0300

osso-chat-ui (0.1.4-1) unstable; urgency=low

  * Added postinst script to register desktop data
  * URI handler added

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  7 Apr 2006 10:49:48 +0300

osso-chat-ui (0.1.3-1) unstable; urgency=low

  * Smiley grid menu added
  * Escaping of text done
  * Text parsing started now

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  6 Apr 2006 16:41:46 +0300

osso-chat-ui (0.1.2-1) unstable; urgency=low

  * Added Help IDs to most of the dialogs
  * Added zooming of font size with HW keys

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  5 Apr 2006 12:22:56 +0300

osso-chat-ui (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  4 Apr 2006 19:11:17 +0300

osso-chat-ui (0.1.0-1) unstable; urgency=low

  * First actually saveable and working settings.
  * Dependency/compatible to mission-control 0.9
  * Bound accounts should now work

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 28 Mar 2006 19:09:02 +0300

osso-chat-ui (0.0.8-1) unstable; urgency=low

  * Added settings dialog's first page. Can now show/hide
    timestamp.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 24 Mar 2006 19:35:41 +0200

osso-chat-ui (0.0.7-1) unstable; urgency=low

  * Depends on version 0.8 of libmissioncontrol

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 23 Mar 2006 13:49:43 +0200

osso-chat-ui (0.0.6-1) unstable; urgency=low

  * Depends now fully on libosso-rtcom, no more
    libosso-chavo dependency
  * Depends on newer osso-addressbook, >= 0.4

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 21 Mar 2006 20:13:41 +0200

osso-chat-ui (0.0.5-1) unstable; urgency=low

  * Depends now on osso-applet-accounts
  * Depends now on libosso-chavo

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Mon, 20 Mar 2006 20:06:28 +0200

osso-chat-ui (0.0.4-1) unstable; urgency=low

  * New release, featuring presence support and chat colors

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Mon, 20 Mar 2006 11:26:25 +0200

osso-chat-ui (0.0.3-1) unstable; urgency=low

  * New release, featuring group chat
  * Removed po/ dir completely

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Thu, 16 Mar 2006 23:52:01 +0200

osso-chat-ui (0.0.2-1) unstable; urgency=low

  * new release

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Wed, 15 Mar 2006 19:14:46 +0200

osso-chat-ui (0.0.1-4) unstable; urgency=low

  * added dependency on l10n package for chat-ui
  * l10n removed from the package and dependency on l10n meta package
    added

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Tue, 14 Mar 2006 11:20:17 +0200

osso-chat-ui (0.0.1-3) unstable; urgency=low

  * Updated osso_abook_account functions in chat-window.c to match
    current osso-abook interface

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Tue, 21 Feb 2006 20:41:14 +0200

osso-chat-ui (0.0.1-2) unstable; urgency=low

  * initial release

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Thu, 28 Jan 2006 11:55:03 +0200

